### Method

# Ide ConfigProvider duplicate

#### Declaration

    void
    ide_config_provider_duplicate (
      IdeConfigProvider* self,
      IdeConfig* config
    )

#### Description

Requests that the configuration provider duplicate the configuration.

This is useful when the user wants to experiment with alternate settings without breaking a previous configuration.

The configuration provider does not need to persist the configuration in this function, `ide_config_provider_save_async()` will be called afterwards to persist configurations to disk.

It is expected that the `IdeConfigProvider` will emit `IdeConfigProvider::added` with the new configuration.

Available since: | 3.32

#### Parameters

`config` | `IdeConfig`
| An `IdeConfig`.
| The data is owned by the caller of the function.